OSPi uudella ytimellä

Jo muutaman päivän ajan on tullut yhä enemmän pyyntöjä... OSPi ei enää vaihtaisi lähtöjä. Syynä tähän ovat Linux-ytimen muutokset, jotka yksinkertaisesti poistivat Raspi-GPIO-moduulin tuen. Ja juuri sitä tarvitset OpenSprinkler-OSPivoidakseen vaihtaa GPIO:ita.

14.06.2024 HUOMIO: Alkuperäinen laiteohjelmisto on jo mukautettu! Päivitä ohjelmisto vain tiedostolla sudo ./updater.sh

Tämä vaikuttaa kaikkiin Raspberry PI -järjestelmiin, joissa on kernel 6.3 / 6.4 / 6.5 / 6.6.

Tausta on kuvattu tässä (englanniksi): https://github.com/OpenSprinkler/OpenSprinkler-Firmware/issues/250

Ratkaisu on kuitenkin melko yksinkertainen: kopioi täältä https://github.com/jbalonso/opensprinkler-firmware siinä olevat tiedostot gpio.h ja gpio.cpp OpenSprinkler-Laiteohjelmistohakemisto ja käännä versio uudelleen esimerkiksi kutsumalla päivitysskripti. Vaihtoehtoisesti voit käyttää myös OpenSprinklerKäytä myymälän laiteohjelmistoa, se on jo päivittänyt tiedostot.

Aktivoi ensin kautta

sudo raspi-config

I2C-väylä (3 liitäntävaihtoehtoa – I4 I2C). Sitten komentoriviltä:

sudo apt-get install -y libi2c-dev sudo apt-get install -y libgpiod-dev cd OpenSprinkler- Laiteohjelmisto
wget https://github.com/jbalonso/opensprinkler-firmware/raw/main/gpio.h wget https://github.com/jbalonso/opensprinkler-firmware/raw/main/gpio.cpp
sudo ./updater.sh

Jätä kommentti

E-mail osoitetta ei julkaista. Erforderliche Felder sind mit * merkitty

Tämä sivusto käyttää Akismetiä roskapostin vähentämiseksi. Lisätietoja siitä, miten kommenttitietosi käsitellään.